<?php
function ConFecact() 
{ 
	$dbcfa = mysqli_connect("35.225.233.105:3306", "root", "O7I=)O%IwT]o","intralog_impo") or die ("no se conecto a intralog_impo") ;
	return $dbcfa; 
} 
$lfecact=ConFecact();

$qTime = mysqli_query($lfecact,"select time_configuration from configuracion");
$rqTime = mysqli_fetch_array($qTime);
$zona = $rqTime["time_configuration"];
date_default_timezone_set('America/'.$zona); //Mexico_City
//date_default_timezone_set('America/Mazatlan');
require_once("comun/conexion3.php");
require_once("comun/conex_ver.php");

require_once("comun/actions.php");

require_once("comun/funciones.php");

$action = new actions();
$link_impo=con_impo();$link=con_ver();

function valorate($valor){
	$valor = str_replace("'","\'",strtoupper($valor));
	return $valor;
}

//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&& REGISTRO DE """MBL""" LZ ADDED 14.6.2013 &&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
$txtbooking= valorate($_POST['booking']); //booking interteam

//OBTENGO EL ID DEL BOOKING (ITVER)
$txtidbooking= qry_($link_impo,'booking_interteam = "'.$txtbooking.'"','bookingexpint','booking'); //itver

if($txtidbooking=='') $txtidbooking=$txtbooking;

$txtpedimento_no= valorate($_POST['pedimento_no']);
$tipo_bl = $_POST['tipo_bl'];

$txtreferencia= valorate($_POST['referencia']);
$txtshipper_file= valorate($_POST['shipper_file']);
   
$txtconsignee1=valorate($_POST['consignee1']);
$txtconsignee2= valorate($_POST['consignee2']);
$txtconsignee3=valorate($_POST['consignee3']);
$txtconsignee4 = valorate($_POST['consignee4']);
$txtconsignee5 = valorate($_POST['consignee5']);
$txtconsignee6 = valorate($_POST['consignee6']);

$txtnotify1=valorate($_POST['notify1']);
$txtnotify2= valorate($_POST['notify2']);
$txtnotify3=valorate($_POST['notify3']);
$txtnotify4 = valorate($_POST['notify4']);
$txtnotify5 = valorate($_POST['notify5']);
$txtnotify6 = valorate($_POST['notify6']);

$txtshipper1=valorate($_POST['shipper1']);
$txtshipper2= valorate($_POST['shipper2']);
$txtshipper3=valorate($_POST['shipper3']);
$txtshipper4 = valorate($_POST['shipper4']);
$txtshipper5 = valorate($_POST['shipper5']);
$txtshipper6 = valorate($_POST['shipper6']);

$txtmarks=valorate($_POST['marks']);
$txtquantity= valorate($_POST['quantity']);
$txttype_of_bulks= valorate($_POST['type_of_bulks']);

$txtdescription=valorate($_POST['description']);
$txtno_piezas = valorate($_POST['no_piezas']);
$txtgross_weight = valorate($_POST['gross_weight']);
$txtnet_weight = valorate($_POST['net_weight']);

$txtvolume=valorate($_POST['volume']);
$txtharmonized_code= valorate($_POST['harmonized_code']);
$txtams=valorate($_POST['ams']);

$tarja=valorate($_POST['tarja']);
$largo=valorate($_POST['largo']);
$ancho=valorate($_POST['ancho']);
$alto=valorate($_POST['alto']);

//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&& END O LZ ADDED 14.6.2013 &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&



$txtfiles = qry_($link_impo,' booking = "'.$txtidbooking.'" ','bookingexpint','files');
// OBTENGO EL HBL DEL BOOKING

$txthbl = hbl_($link_impo,$txtidbooking);

 
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&REGISTRO DE MBL&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
$id_mbl = $_GET[id];

$buscar = data($link,"select idhbl from hblexpint where tipo = 'MBL' and booking ='$txtbooking'");
$id_mbl=$buscar[0];

if($id_mbl!='' and $id_mbl!='0'){ 
	mysqli_query($link,"update hblexpint set shipper='$txtshipper1', shipper2='$txtshipper2', shipper3='$txtshipper3',shipper4='$txtshipper4',
				shipper5='$txtshipper5',shipper6='$txtshipper6',consignee='$txtconsignee1',consignee2='$txtconsignee2', 
				consignee3='$txtconsignee3',consignee4='$txtconsignee4', consignee5='$txtconsignee5', consignee6='$txtconsignee6', 
			    notify='$txtnotify1',notify2='$txtnotify2', notify3='$txtnotify3', notify4='$txtnotify4', notify5='$txtnotify5', 
				notify6 = '$txtnotify6',shipper_file = '$txtshipper_file',
				registrado_por = '".$_POST[email_2]."',
				tarja = '$tarja',pedimento_no='$txtpedimento_no',
				tipo='$tipo_bl'
				where idhbl='".$id_mbl."' ");
	
	 if($_POST[status_cambiado]!=''){
	 mysqli_query($link,"update hblexpint set status = '".$_POST[status_cambiado]."',revision = '".$_POST[email]."',fecha_revision='".date("Y-m-d H:i:s")."' where idhbl='".$id_mbl."' ");
	 }
	
	if($_POST[status_cambiado]=='OK'){
	 mysqli_query($link,"update hblexpint set revision = '".$_POST[email_2]."',fecha_revision='".date("Y-m-d H:i:s")."' where idhbl='".$id_mbl."' ");
 
    }
 
 			    mysqli_query($link,"update detailcargaexpint set 
				`bulk` = '$txtquantity', `type_of_bulks` = '$txttype_of_bulks',`number_of_pieces` = '$txtno_piezas', `cargo` = '$txtdescription', `weight` = '$txtgross_weight',
				`measurement` = '$txtvolume', `markandnos` = '$txtmarks', `netweight` = '$txtnet_weight',
				`harmonized_code`='$txtharmonized_code',`ams`='$txtams',
				`largo`='$largo',`ancho`='$ancho',`alto`='$alto',tipo_bl='$tipo_bl'
				where id_bl = '".$id_mbl."'  ");
			 
}else{
			mysqli_query($link,"insert into hblexpint (
						tipo,hbl, shipper, shipper2, shipper3, shipper4, shipper5, shipper6,
						consignee, consignee2, consignee3,consignee4, consignee5, consignee6, 
						notify,notify2, notify3, notify4, notify5, notify6,
						booking, referencia, fechaRegistro, status,shipper_file,registrado_por,tarja) 
						values 	
			('MBL','$txthbl','$txtshipper1','$txtshipper2','$txtshipper3','$txtshipper4','$txtshipper5','$txtshipper6',
			'$txtconsignee1','$txtconsignee2','$txtconsignee3','$txtconsignee4','$txtconsignee5','$txtconsignee6',
			'$txtnotify1','$txtnotify2','$txtnotify3','$txtnotify4','$txtnotify5','$txtnotify6',
			'$txtbooking','$txtreferencia','".date("Y-m-d H:i:s")."','OK','".$txtshipper_file."','".$_POST[email_2]."','$tarja')");
			$id_hbl=mysqli_insert_id($link);
			//$action->alert(mysqli_error());
			mysqli_query($link,"insert into detailcargaexpint (`tipo_bl`, `bookingno`, `bulk`,type_of_bulks, `number_of_pieces`, `cargo`, `weight`, 
			`measurement`, `markandnos`,  `id_bl`, `netweight`, `harmonized_code`, `ams`,largo,ancho,alto) values 	
			('MBL','$txtbooking','$txtquantity','$txttype_of_bulks','$txtno_piezas','$txtdescription',
			'$txtgross_weight','$txtvolume','$txtmarks','$id_hbl','$txtnet_weight','$txtharmonized_code','$txtams','$largo','$ancho','$alto')");
}



$action->alert('Registro OK');
//document.getElementById('forma').reset();

$action->text('h_shipper_file',valorate($txtshipper_file));
//LstAjax('divPartidas','partidas_bl.php?booking=$txtbooking');
$action->add_js_code("unloadin('saving_bl');buscar_booking_master(document.getElementById('booking').value);
document.location='registro_bl.php#lista'");

$action->send_response();

return;

?> 

